OccurrenceSchedule (TreeSched API)
Keywords: org.treesched.schedules.OccurrenceSchedule class

Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.treesched.schedules
Class OccurrenceSchedule

    java.lang.Object
      org.treesched.AbstractSchedule
          org.treesched.schedules.OccurrenceSchedule

All Implemented Interfaces:
  RefineableSchedule, Schedule, java.io.Serializable

public final class OccurrenceSchedule
extends AbstractSchedule
implements java.io.Serializable

This schedule counts the occurence's of it's child schedule and returns the required occurence.

Typical configuration is: ``

     <occurrence occurrence="2">
       <weekly/>
     </occurrence>

Author:
  Rob Gordon
See Also:
  Serialized Form

Constructor Summary
`OccurrenceSchedule()`

Method Summary
`java.lang.String` | `getOccurrence()` Return the number of the occurrence for this schedule.
`Interval` | `nextDue(java.util.Date now)` Return the next due interval which is the given occurrence of it's child schedules.
`void` | `setOccurrence(java.lang.String occurrence)` Set the number of the occurrence for this schedule.
`java.lang.String` | `toString()` Override toString.

Methods inherited from class org.treesched.AbstractSchedule
`addChildSchedule, getChildSchedule, getLimits, reset, setChildSchedule, setLimits`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### OccurrenceSchedule

    public OccurrenceSchedule()

Method Detail

### setOccurrence

    public void setOccurrence(java.lang.String occurrence)

  Set the number of the occurrence for this schedule.

  Parameters:
    `occurrence` - The occurence.

### getOccurrence

    public java.lang.String getOccurrence()

  Return the number of the occurrence for this schedule.

  Returns:
    The occurrence.

### nextDue

    public Interval nextDue(java.util.Date now)

  Return the next due interval which is the given occurrence of it's child schedules.

  Specified by:
    `nextDue` in interface `Schedule`
  Parameters:
    `now` - The date now.
  Returns:
    The next due interval for the schedule.

### toString

    public java.lang.String toString()

  Override toString.

Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD